package com.foreverwin.mesnac.meapi.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author robert
 * @since 2021-06-29
 */

@TableName("DATA_FIELD_LIST")

public class DataFieldList extends Model<DataFieldList> {

    private static final long serialVersionUID = 1L;

   @TableField("HANDLE")
   private String handle;
   @TableField("SEQUENCE")
   private Long sequence;
   @TableField("DATA_FIELD_BO")
   private String dataFieldBo;
   @TableField("DATA_VALUE")
   private String dataValue;
   @TableField("IS_DEFAULT")
   private String isDefault;
   @TableField("VALUATION")
   private String valuation;
   @TableField("ERP_CODE_GROUP")
   private String erpCodeGroup;
   @TableField("CREATED_DATE_TIME")
   private LocalDateTime createdDateTime;
   @TableField("MODIFIED_DATE_TIME")
   private LocalDateTime modifiedDateTime;
   @TableField(exist = false)
   private String description;


   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public Long getSequence() {
      return sequence;
   }

   public void setSequence(Long sequence) {
      this.sequence = sequence;
   }

   public String getDataFieldBo() {
      return dataFieldBo;
   }

   public void setDataFieldBo(String dataFieldBo) {
      this.dataFieldBo = dataFieldBo;
   }

   public String getDataValue() {
      return dataValue;
   }

   public void setDataValue(String dataValue) {
      this.dataValue = dataValue;
   }

   public String getIsDefault() {
      return isDefault;
   }

   public void setIsDefault(String isDefault) {
      this.isDefault = isDefault;
   }

   public String getValuation() {
      return valuation;
   }

   public void setValuation(String valuation) {
      this.valuation = valuation;
   }

   public String getErpCodeGroup() {
      return erpCodeGroup;
   }

   public void setErpCodeGroup(String erpCodeGroup) {
      this.erpCodeGroup = erpCodeGroup;
   }

   public LocalDateTime getCreatedDateTime() {
      return createdDateTime;
   }

   public void setCreatedDateTime(LocalDateTime createdDateTime) {
      this.createdDateTime = createdDateTime;
   }

   public LocalDateTime getModifiedDateTime() {
      return modifiedDateTime;
   }

   public void setModifiedDateTime(LocalDateTime modifiedDateTime) {
      this.modifiedDateTime = modifiedDateTime;
   }

   public String getDescription() {
      return description;
   }

   public void setDescription(String description) {
      this.description = description;
   }

   public static final String HANDLE = "HANDLE";

public static final String SEQUENCE = "SEQUENCE";

public static final String DATA_FIELD_BO = "DATA_FIELD_BO";

public static final String DATA_VALUE = "DATA_VALUE";

public static final String IS_DEFAULT = "IS_DEFAULT";

public static final String VALUATION = "VALUATION";

public static final String ERP_CODE_GROUP = "ERP_CODE_GROUP";

public static final String CREATED_DATE_TIME = "CREATED_DATE_TIME";

public static final String MODIFIED_DATE_TIME = "MODIFIED_DATE_TIME";

public static final String DESCRIPTION = "DESCRIPTION";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "DataFieldList{" +
         "handle = " + handle +
         ", sequence = " + sequence +
         ", dataFieldBo = " + dataFieldBo +
         ", dataValue = " + dataValue +
         ", isDefault = " + isDefault +
         ", valuation = " + valuation +
         ", erpCodeGroup = " + erpCodeGroup +
         ", createdDateTime = " + createdDateTime +
         ", modifiedDateTime = " + modifiedDateTime +
         "}";
   }
}